package TO;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@XmlRootElement(name = "medicalspeciality")
public class MedicalSpecialtyTO implements Serializable {

	private static final long serialVersionUID = 1L;

	private String name;
	private String description;

	public MedicalSpecialtyTO() {
		super();
	}

	public MedicalSpecialtyTO(String name, String description) {
		this.name = name;
		this.description = description;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	@Override
	public String toString() {
	    return String.format("%s[name=%s]", getClass().getSimpleName(), getName());
	}
	
}
